Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher.search
Class SearchRPCExec

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.RPCExec
          com.ejie.r01f.rpcdispatcher.search.SearchRPCExec

public abstract class SearchRPCExec
extends RPCExec

Clase abstracta que se utiliza con el RPCDispatcher y que implementa las llamadas RPC de una busqueda

Author:
  ALEX

Constructor Summary
`SearchRPCExec()` Constructor vacio
`SearchRPCExec(RPCContext otherContext)` Constructor en base a otro contexto

Method Summary
`void` | `buscadorNextPg(java.lang.String searchID)` Va a la siguiente pagina de la busqueda almacenada en la sesion
`void` | `buscadorPg(java.lang.String searchID, int pageNumber)` Va a la pagina especificada de la busqueda almacenada en la sesion
`void` | `buscadorPrevPg(java.lang.String searchID)` Va a la pagina anterior de la busqueda almacenada en la sesion
`abstract Search` | `getSearchObject(java.lang.String searchID)` Devuelve el objeto buscador con los resultados de busqueda
`abstract SearchParameters` | `getSearchParameters(java.lang.String searchID, java.lang.String searchParams)` Obtiene el objeto SearchParameters con los parametros de busqueda a partir de un xml o una cadena con dichos parametros
`abstract java.lang.String` | `getSearchResultsPresentationPage(java.lang.String searchID)` Devuelve el nombre de la página JSP que pinta los resultados de la busqueda
`abstract java.lang.String` | `getSearchSessionVariableName(java.lang.String searchID)` Devuelve el nombre de la variable de sesión donde se guardará la busqueda
`void` | `search(java.lang.String searchID, java.lang.String searchParamsStr)` Realiza la busqueda con los parametros que se pasan en formato XML

Methods inherited from class com.ejie.r01f.rpcdispatcher.RPCExec
`destroy, initialize, service, setRPCContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchRPCExec

    public SearchRPCExec()

  Constructor vacio

### SearchRPCExec

    public SearchRPCExec(RPCContext otherContext)

  Constructor en base a otro contexto

Parameters:
  `otherContext` - Otro contexto RPC

Method Detail

### getSearchObject

    public abstract Search getSearchObject(java.lang.String searchID)
                                    throws RPCException

  Devuelve el objeto buscador con los resultados de busqueda

  Parameters:
    `searchID` - El identificador de la búsqueda Sirve ara distinguir varias busquedas manejadas en un mismo módulo
  Returns:
    El objeto que maneja la búsqueda y hace de intermediario con la capa de persistencia
  Throws:
    `RPCException` - si ocurre algun error

### getSearchSessionVariableName

    public abstract java.lang.String getSearchSessionVariableName(java.lang.String searchID)
                                                           throws RPCException

  Devuelve el nombre de la variable de sesión donde se guardará la busqueda

  Parameters:
    `searchID` - El identificador de la búsqueda Sirve ara distinguir varias busquedas manejadas en un mismo módulo
  Returns:
    El nombre de la variable de sesion donde se guarda la búsqueda
  Throws:
    `RPCException` - si ocurre algun error

### getSearchResultsPresentationPage

    public abstract java.lang.String getSearchResultsPresentationPage(java.lang.String searchID)
                                                               throws RPCException

  Devuelve el nombre de la página JSP que pinta los resultados de la busqueda

  Parameters:
    `searchID` - El identificador de la búsqueda Sirve ara distinguir varias busquedas manejadas en un mismo módulo
  Returns:
    La página JSP (o Servlet) que pinta los resultados de la búsqueda
  Throws:
    `RPCException` - si ocurre algun error

### getSearchParameters

    public abstract SearchParameters getSearchParameters(java.lang.String searchID,
                                                         java.lang.String searchParams)
                                                  throws RPCException

  Obtiene el objeto SearchParameters con los parametros de busqueda a partir de un xml o una cadena con dichos parametros

  Parameters:
    `searchID` - El identificador de la búsqueda Sirve ara distinguir varias busquedas manejadas en un mismo módulo
    `searchParams` - Los parametros de busqueda representados en un XML o cualquier otro formato
  Throws:
    `RPCException` - si ocurre algun error

### search

    public void search(java.lang.String searchID,
                       java.lang.String searchParamsStr)
                throws RPCException

  Realiza la busqueda con los parametros que se pasan en formato XML

  Parameters:
    `searchID` - El identificador de la búsqueda Sirve ara distinguir varias busquedas manejadas en un mismo módulo
  Throws:
    `RPCException` - si ocurre algun error

### buscadorNextPg

    public void buscadorNextPg(java.lang.String searchID)
                        throws RPCException

  Va a la siguiente pagina de la busqueda almacenada en la sesion

  Parameters:
    `searchID` - El identificador de la búsqueda Sirve ara distinguir varias busquedas manejadas en un mismo módulo
  Throws:
    `RPCException` - si ocurre algun error

### buscadorPg

    public void buscadorPg(java.lang.String searchID,
                           int pageNumber)
                    throws RPCException

  Va a la pagina especificada de la busqueda almacenada en la sesion

  Parameters:
    `searchID` - El identificador de la búsqueda Sirve ara distinguir varias busquedas manejadas en un mismo módulo
    `pageNumber` - El numero de la pagina a la que se quiere ir
  Throws:
    `RPCException` - si ocurre algun error

### buscadorPrevPg

    public void buscadorPrevPg(java.lang.String searchID)
                        throws RPCException

  Va a la pagina anterior de la busqueda almacenada en la sesion

  Parameters:
    `searchID` - El identificador de la búsqueda Sirve ara distinguir varias busquedas manejadas en un mismo módulo
  Throws:
    `RPCException` - si ocurre algun error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD